public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fakefs/
Date: Tue, 13 Dec 2016 06:53:28 +0000 (UTC)	[thread overview]
Message-ID: <1481611594.5d9c6abada4ea38d40b9c1cd0c2e8ffa4dd5995c.graaff@gentoo> (raw)

commit:     5d9c6abada4ea38d40b9c1cd0c2e8ffa4dd5995c
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 13 06:46:34 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Dec 13 06:46:34 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d9c6aba

dev-ruby/fakefs: add 0.10.1

Package-Manager: portage-2.3.0

 dev-ruby/fakefs/Manifest             |  1 +
 dev-ruby/fakefs/fakefs-0.10.1.ebuild | 43 ++++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-ruby/fakefs/Manifest b/dev-ruby/fakefs/Manifest
index 186d7ca..6596708 100644
--- a/dev-ruby/fakefs/Manifest
+++ b/dev-ruby/fakefs/Manifest
@@ -1,4 +1,5 @@
 DIST fakefs-0.10.0.tar.gz 44042 SHA256 fe7344afd8f329eb4155fdbe6110393ccb698fc3ec4b1294d3c2f93c1139a707 SHA512 f195320947e612ff148eeca2ca918201c6de7046caa3db90a5b011a9605347fe1e17563195ede19ba64fa96958de6204d55f45aa76cd8858d4926a4da0e3aea8 WHIRLPOOL 3b5c0b6fdd469875bf9f7166e4f854b5131c48417469f59fd49533477a22635e6b9c23b32ffe39c0b91aadf437a43c5350ff70abc52c6aa4f93900aa83b688e9
+DIST fakefs-0.10.1.tar.gz 44083 SHA256 5b0b1746f7ee8eafa4a8b045a37fa120ffe1f0adc10d0f94fe95b01f085ae9db SHA512 e15fc500839a9040715d7af8c16caab7102cb16563451b70232cc22049c0fd3c77703688cbf7a051c96d412607032c6d8f6664c8dd94a68821e15c57276d228d WHIRLPOOL b8c006570e0d2535bb14b52a66fc2bda05561234d7241d2d86bdecc9b8c19243525e9aa15968890f70cfa1d30446ee7e97d6e8e7225c88db3265717a095d0953
 DIST fakefs-0.6.0.gem 41984 SHA256 43a668e9a436654d66eff7e896793800b4b8d87c3ecd5a6a84e23fb52580150e SHA512 8c0eac75103e1917551e2f5e74a5324d5a606e7692a8e4c49c9b97e2b5005bd381073a5780a8e6d1fb661a1bb4a67e56c29ce98cd2e2e62cce22602c30e4225f WHIRLPOOL c1a520c9cf3913e727ef570367d238e2ec88eb8d41789d1d33e9227a5a5dd9c62f4a462374066e1e5b5c5ac8bb0f738e6513b4d4182c20969178a82f90aa2739
 DIST fakefs-0.8.1.tar.gz 42214 SHA256 b0b997e740045c47aece10fc24fdf5549886e8167acac19e65b65496bfa58d5e SHA512 1b729ece33b56eb8ae5e9cd2632f9e75adc318fbd34c9180bbe71853b96303563fd0cf8cc420ef8a8a5dd591bad4350be1efcb9847d9449531b4a4b3776017c5 WHIRLPOOL 279e6fc2a83d2214fe5710e289e75a772549f3d3e28a6405b22734430e1218e0117104acbce74699646a834300dd1685b2a5395626ff66dae96db010faee798e
 DIST fakefs-0.9.0.tar.gz 42557 SHA256 ad04fdd2700564a5c3483274b3ae7d56c286f69ffc73bdeae4f28fecf0c1c592 SHA512 a54a11692017dba1a07609f59be29095a2175838c4946602c25fcb030d511ccec9ac33118c8a96f86cc8793d13d0ae4566fb0a9d3531b67df86b91b07077d03b WHIRLPOOL f5be70a34a41bda398e89cbf3b009d2c30bd0318b740c29cd3d7a803efe3772bcc975ad8b7ce2614d8213e40eb2e3f6aaebedf66026a1792a4b860c743898109

diff --git a/dev-ruby/fakefs/fakefs-0.10.1.ebuild b/dev-ruby/fakefs/fakefs-0.10.1.ebuild
new file mode 100644
index 00000000..6902988
--- /dev/null
+++ b/dev-ruby/fakefs/fakefs-0.10.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_TEST="none"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CONTRIBUTORS README.md"
+
+inherit ruby-fakegem eutils
+
+DESCRIPTION="A fake filesystem. Use it in your tests"
+HOMEPAGE="https://github.com/defunkt/fakefs"
+SRC_URI="https://github.com/defunkt/fakefs/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend "
+	test? (
+		>=dev-ruby/rspec-3.1:3
+		>=dev-ruby/minitest-5.5
+	)"
+
+all_ruby_prepare() {
+	# Remove bundler
+	rm Gemfile || die
+
+	# Avoid unneeded minitest-rg dependency.
+	sed -i -e '1igem "minitest", "~>5.5"' \
+		-e '/minitest\/rg/ s:^:#:' test/test_helper.rb || die
+}
+
+each_ruby_test() {
+	RSPEC_VERSION=3 ruby-ng_rspec
+	${RUBY} -Ilib:.:test -e 'Dir["test/**/*_test.rb"].each{|f| require f}' || die
+}


             reply	other threads:[~2016-12-13  6:53 UTC|newest]

Thread overview: 108+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-12-13  6:53 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-23 18:04 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/fakefs/ Arthur Zamarin
2025-02-08 18:04 Sam James
2025-02-08 13:55 Arthur Zamarin
2025-02-08 12:04 Arthur Zamarin
2025-02-08 10:16 Hans de Graaff
2024-12-09  7:07 Hans de Graaff
2024-06-02  7:00 Hans de Graaff
2024-06-02  7:00 Hans de Graaff
2024-03-08  8:09 Hans de Graaff
2023-08-24 18:05 Arthur Zamarin
2023-08-21  5:58 Sam James
2023-07-24 13:39 Arthur Zamarin
2023-07-24 12:32 Jakov Smolić
2023-06-17  5:31 Hans de Graaff
2023-06-17  5:31 Hans de Graaff
2023-06-17  5:31 Hans de Graaff
2023-06-17  5:31 Hans de Graaff
2023-04-07  7:37 Hans de Graaff
2023-04-07  6:34 Hans de Graaff
2023-03-28 23:39 Sam James
2023-03-28 23:39 Sam James
2023-03-28 22:13 Sam James
2023-03-27  8:35 Sam James
2022-12-24 15:00 Hans de Graaff
2022-12-24 15:00 Hans de Graaff
2022-12-07 18:43 Sam James
2022-12-07 17:54 Sam James
2022-12-07 17:54 Sam James
2022-12-07 17:51 Sam James
2022-12-07 17:51 Sam James
2021-11-21  6:58 Hans de Graaff
2021-11-21  4:58 Arthur Zamarin
2021-11-17  9:02 Arthur Zamarin
2021-11-17  9:02 Arthur Zamarin
2021-11-09 21:49 Jakov Smolić
2021-11-09 14:16 Jakov Smolić
2021-10-09  7:27 Hans de Graaff
2021-07-06  6:27 Hans de Graaff
2020-12-08  7:43 Hans de Graaff
2020-08-21  8:36 Hans de Graaff
2020-06-09 17:07 Sergei Trofimovich
2020-06-07  7:36 Hans de Graaff
2020-04-20  5:04 Hans de Graaff
2020-03-31 15:41 Hans de Graaff
2020-01-11  7:41 Hans de Graaff
2019-05-24  7:06 Hans de Graaff
2019-05-23 13:13 Mikle Kolyada
2019-05-13  0:38 Thomas Deutschmann
2019-05-07  8:46 Tobias Klausmann
2019-05-04  6:50 Hans de Graaff
2019-04-17 11:54 Mikle Kolyada
2019-04-11 18:29 Hans de Graaff
2019-03-15  6:39 Hans de Graaff
2019-03-15  6:39 Hans de Graaff
2019-02-22  6:19 Hans de Graaff
2019-02-10 11:07 Hans de Graaff
2019-01-17  5:26 Hans de Graaff
2019-01-17  5:26 Hans de Graaff
2018-08-06  5:31 Hans de Graaff
2018-07-30  5:48 Hans de Graaff
2018-07-20  4:43 Hans de Graaff
2018-07-09  4:09 Hans de Graaff
2018-06-01  4:13 Hans de Graaff
2018-06-01  4:13 Hans de Graaff
2018-05-17  4:57 Hans de Graaff
2018-04-26  4:57 Hans de Graaff
2018-04-26  4:21 Matt Turner
2018-04-15  5:38 Hans de Graaff
2018-04-11  5:50 Hans de Graaff
2018-04-08 22:11 Matt Turner
2018-03-25 17:18 Markus Meier
2018-02-28  5:27 Hans de Graaff
2018-02-25  6:47 Hans de Graaff
2018-01-15  7:26 Hans de Graaff
2018-01-04  7:31 Hans de Graaff
2018-01-04  7:31 Hans de Graaff
2017-11-26 10:02 Hans de Graaff
2017-10-10  4:24 Hans de Graaff
2017-10-10  4:24 Hans de Graaff
2017-09-14  4:56 Hans de Graaff
2017-08-23  6:14 Hans de Graaff
2017-08-14 19:42 Hans de Graaff
2017-07-18  4:28 Markus Meier
2017-07-17 18:16 Hans de Graaff
2017-07-17 18:16 Hans de Graaff
2017-07-17 18:16 Hans de Graaff
2017-07-17 18:16 Hans de Graaff
2017-07-07 14:50 Agostino Sarubbo
2017-06-30 11:10 Agostino Sarubbo
2017-06-26 20:18 Tobias Klausmann
2017-06-23  8:33 Agostino Sarubbo
2017-05-30  4:51 Hans de Graaff
2017-04-09  5:00 Hans de Graaff
2017-04-09  5:00 Hans de Graaff
2017-01-26  6:07 Hans de Graaff
2017-01-26  6:07 Hans de Graaff
2016-12-13  6:53 Hans de Graaff
2016-11-13  7:17 Hans de Graaff
2016-10-17  5:23 Hans de Graaff
2016-10-06  6:05 Hans de Graaff
2016-06-30  5:21 Hans de Graaff
2016-06-30  5:21 Hans de Graaff
2016-06-30  5:21 Hans de Graaff
2016-03-10  5:48 Hans de Graaff
2016-03-10  5:48 Hans de Graaff
2016-02-27  7:00 Hans de Graaff
2016-01-23  7:47 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1481611594.5d9c6abada4ea38d40b9c1cd0c2e8ffa4dd5995c.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox